/* css/styles.css */

body { 
    font-family: 'Urbanist', sans-serif; 
}

::-webkit-scrollbar { 
    width: 6px; 
    height: 6px; 
}

::-webkit-scrollbar-track { 
    background: transparent; 
}

::-webkit-scrollbar-thumb { 
    background: #cbd5e1; 
    border-radius: 10px; 
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
}

input[type=number] { 
    -moz-appearance: textfield; 
    appearance: textfield; 
}

.modal-active { 
    display: flex !important; 
}

.dashboard-active { 
    transform: translateY(0) !important; 
    opacity: 1 !important; 
    pointer-events: auto !important; 
}

.custom-scroll::-webkit-scrollbar { 
    height: 6px; 
}

/* ATURAN KHUSUS UNTUK PRINTER THERMAL */
@media print {
    @page { 
        margin: 0; 
    } /* Trik mematikan Header URL & Tanggal bawaan Browser */
    
    body * { 
        visibility: hidden; 
    }
    
    #print-area, #print-area * { 
        visibility: visible; 
    }
    
    #print-area { 
        position: absolute; 
        left: 0; 
        top: 0; 
        width: 100%; 
        padding: 5mm; 
    }
}